use structopt::StructOpt;
use std::path::PathBuf;

#[derive(Debug, StructOpt)]
pub struct Options {
    /// Path to config
    #[structopt(short, long, value_name = "path", default_value = "/etc/noise-server/config.toml")]
    pub config: PathBuf,

    /// Don't use config
    #[structopt(short = "C", long)]
    pub no_config: bool,

    /// Path to database
    #[structopt(short, long, value_name = "path", default_value = crate::DEFAULT_DATABASE_PATH)]
    pub database_path: PathBuf,

    /// Prints default config
    #[structopt(long)]
    pub generate_config: bool,
}